<?php

namespace Icinga\Module\Graphdash;

use Icinga\Web\Controller;
use Icinga\Module\Graphdash\CurrentHost;

class GdController extends Controller {
	
	/**
	* @return Tabs
	*/
	public function getTabs()  
	{
		// get current director host parameters
		$host = CurrentHost::getCurrentHost();
		// first parameter is host name, followed by graph services
		$hostname = array_shift($host);
		$str = '';
		$i = 0;
		foreach($host as $service) {
			$str .= '&'.$i.'='.$service;
			$i++;
		}
		if ($i == 0) $this->view->msg = 'No Services found. Please make sure a custom array '.
			'"GraphDash_Services" exists and the Host or Host Template uses this array to specify a list of services '.
		  'for which graphs should be shown.';

    $tabs = parent::getTabs();       
        $tabs->add(
            'year',
            array( 
                'title' => 'Jahr',
                'url'   => 'graphdash/year?name='.$hostname.$str
            )
        );
        
        $tabs->add(
            'month',
            array(
                'title' => 'Monat',
                'url'   => 'graphdash/month?name='.$hostname.$str
            )
        );

        $tabs->add(
            'week',
            array(
                'title' => 'Woche',
                'url'   => 'graphdash/week?name='.$hostname.$str
            )
        );

        $tabs->add(
            'day',
            array(
                'title' => '24h',
                'url'   => 'graphdash/day?name='.$hostname.$str
            )
        );

        $tabs->add(
            'hour',
            array(
                'title' => '4h',
                'url'   => 'graphdash/hour?name='.$hostname.$str
            )
        );

/*
        $tabs->add(
            'test',
            array(
                'title' => 'Test',
                'url'   => 'graphdash/test?name='.$hostname.$str
            )
        );
*/
    		return $tabs;
    }

    public function getConfig()  
    {
    		// Get configuration
    		$config = $this->Config();
				$configs['pnpurl'] = $config->get('global', 'pnpurl', 'pnp4nagios');
				$configs['width'] = $config->get('global', 'width', '560');

				return $configs;
		}

}
