<?php

namespace Icinga\Module\Graphdash\ProvidedHook\Icingadb;

use Icinga\Module\Icingadb\Hook\HostActionsHook;
use Icinga\Module\Icingadb\Model\Host;
use Icinga\Web\Url;
use ipl\Stdlib\Filter;
use ipl\Web\Widget\Link;

class HostActions extends HostActionsHook
{
	public function getActionsForObject(Host $host): array
  {
    $hostname = $host->name;
		$customvar = (clone $host->customvar)->filter(Filter::equal('name', 'graphdash_services'))->first();
		if ($customvar !== null) {
			$graphdash_services = json_decode($customvar->value); 
		}
		// Add all graphdash graphs via url parameters
		if (isset($graphdash_services)) {
			$url = (string) Url::fromPath('graphdash/month', array_merge(array('name' => $hostname), $graphdash_services));
		}
		else {
			$url = (string) Url::fromPath('graphdash/month');
			}
		return [new Link('Graphdash', $url)];
  }
}

