<?php

namespace Icinga\Module\Graphdash\ProvidedHook\Icingadb;

use Icinga\Module\Icingadb\Hook\ServiceActionsHook;
use Icinga\Module\Icingadb\Model\Service;
use Icinga\Web\Url;
use ipl\Stdlib\Filter;
use ipl\Web\Widget\Link;

class ServiceActions extends ServiceActionsHook
{
  public function getActionsForObject(Service $service): array
  {
		$host = $service->host;
		$hostname = $host->name;
		$customvar = (clone $host->customvar)->filter(Filter::equal('name', 'graphdash_services'))->first();
		if ($customvar !== null) {
			$graphdash_services = json_decode($customvar->value); 
		}

		// **** Todo: Icon auf graph.png setzen!
			
		// Add all graphdash graphs via url parameters
		if (isset($graphdash_services)) {
			$url = (string) Url::fromPath('graphdash/month', array_merge(array('name' => $hostname), $graphdash_services));
		}
		else {
			$url = (string) Url::fromPath('graphdash/month');
		}
		return [new Link('Graphdash', $url)];	
  }
}
