<?php

namespace Icinga\Module\Graphdash\ProvidedHook\Monitoring;

use Icinga\Module\Monitoring\Hook\HostActionsHook;
use Icinga\Module\Monitoring\Object\Host;
use Icinga\Web\Url;

class HostActions extends HostActionsHook
{
    public function getActionsForHost(Host $host): array
    {
        $hostname = $host->host_name;

				// **** Todo: Icon auf graph.png setzen!
				
				// Add all graphdash graphs via url parameters
				$graphdash_services = $host->_host_graphdash_services;
				if ($graphdash_services !== null) {
					$actions['GraphDash'] = (string) Url::fromPath('graphdash/month', array_merge(array('name' => $hostname), $graphdash_services));
				}
				else {
					$actions['GraphDash'] = (string) Url::fromPath('graphdash/month');
				}

        return $actions;
    }
}

